/*
    Copyright 2013 Jorge Paniagua

    This file is part of Recro GameEngine.

    Recro GameEngine is free software: you can redistribute it and/or modify
    it under the terms of the Lesser GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    Recro GameEngine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    Lesser GNU General Public License for more details.

    You should have received a copy of the Lesser GNU General Public License
    along with Recro GameEngine. If not, see <http://www.gnu.org/licenses/>.

    Any questions about the software write to gxsoft6@gmail.com

    The tutorials are in http://gxsoftware.jimdo.com/tutorials/
*/

#pragma once

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

class RecroImage
{
    private:
        int SpeedX,SpeedY;  //velocidad a la que movera la imagen

    public:
        SDL_Rect Coor;  //coordenadas y tamanyo
        SDL_Surface *Surface;   //superficie grafica en memoria
        RecroImage();   //constructor de la clase
        void Load(const char *path); //cargar la imagen en la superficie
        void Free();    //liberar la superficie
        void SetX(int x);
        void SetY(int y);
        void AddX(int x);   //sumarle x a las coordenadas
        void AddY(int y);
        void SetSpeedX(int x);
        void SetSpeedY(int y);
        int GetX();
        int GetY();
        int GetH();
        int GetW();
        int GetSpeedX();
        int GetSpeedY();
        void SetCoor(int x,int y);
        void Mov(); //mover la imagen usando la velocidad x,y (esto lo usara la RecroPhys)
};
