/*
    Copyright 2013 Jorge Paniagua

    This file is part of Recro GameEngine.

    Recro GameEngine is free software: you can redistribute it and/or modify
    it under the terms of the Lesser GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    Recro GameEngine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    Lesser GNU General Public License for more details.

    You should have received a copy of the Lesser GNU General Public License
    along with Recro GameEngine. If not, see <http://www.gnu.org/licenses/>.

    Any questions about the software write to gxsoft6@gmail.com

    The tutorials are in http://gxsoftware.jimdo.com/tutorials/
*/

#pragma once

#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>

#define OTHER 0
#define OGG 1
#define WAV 2
#define MP3 3

class RecroMusic
{
    private:
        Mix_Music *Music;
        int Format;
        int Volume;
    public:
        RecroMusic();
        void Load(const char *path);
        void Play();
        void Play(int rep);
        void Pause();
        void Resume();
        void Stop();
        void Fade(int fadetime);
        int GetVolume();
        void SetVolume(int vol);
        void AddVolume(int vol);
};
