/*
    Copyright 2013 Jorge Paniagua

    This file is part of Recro GameEngine.

    Recro GameEngine is free software: you can redistribute it and/or modify
    it under the terms of the Lesser GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    Recro GameEngine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    Lesser GNU General Public License for more details.

    You should have received a copy of the Lesser GNU General Public License
    along with Recro GameEngine. If not, see <http://www.gnu.org/licenses/>.

    Any questions about the software write to gxsoft6@gmail.com

    The tutorials are in http://gxsoftware.jimdo.com/tutorials/
*/

#pragma once

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

class RecroSprite
{
    private:
        int SpeedX,SpeedY;
        int Frames;

    public:

        SDL_Surface *Sheet;
        int H;
        int W;
        int Col, Row;
        SDL_Rect Coor;
        int State;
        RecroSprite();
        void LoadSheet(const char *path, int row=1, int col=1);
        void Free();
        void SetX(int x);
        void SetY(int y);
        int GetX();
        int GetY();
        int GetH();
        int GetW();
        void AddX(int x);
        void AddY(int y);
        int GetSpeedX();
        int GetSpeedY();
        void SetCoor(int x,int y);
        void SetSpeedX(int x);
        void SetSpeedY(int y);
        void Mov();
        void TraslateFrame(int frame);
};
