/*
    Copyright 2013 Jorge Paniagua

    This file is part of Recro GameEngine.

    Recro GameEngine is free software: you can redistribute it and/or modify
    it under the terms of the Lesser GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    Recro GameEngine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    Lesser GNU General Public License for more details.

    You should have received a copy of the Lesser GNU General Public License
    along with Recro GameEngine. If not, see <http://www.gnu.org/licenses/>.

    Any questions about the software write to gxsoft6@gmail.com

    The tutorials are in http://gxsoftware.jimdo.com/tutorials/
*/

#pragma once

#include <cstring>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>

#define SHADER 0
#define SOLID 1
#define BLENDER 3

#define BLACK 0
#define WHITE 1
#define RED 2
#define BLUE 3
#define GREEN 4
#define YELLOW 5
#define GRAY 6
#define MAGENTA 7
#define ORANGE 8

class RecroText
{
    private:
        int SpeedX,SpeedY;
        int Size;

    public:
        TTF_Font *Font;
        SDL_Surface *Surface;
        SDL_Surface *ShaderSurface;
        SDL_Surface *BlenderSurface;
        SDL_Surface *SolidSurface;
        SDL_Rect Coor;
        SDL_Color Color;
        SDL_Color BackGroundColor;
        char *Text;

        RecroText();
        RecroText(int sz);
        void LoadFont(const char *path);
        void LoadFont(const char *path,int fontsize);
        void Write(char *writetext);
        void Free();
        void SetX(int x);
        void SetY(int y);
        void AddX(int x);
        void AddY(int y);
        void SetSpeedX(int x);
        void SetSpeedY(int y);
        int GetX();
        int GetY();
        int GetW();
        int GetH();
        int GetSpeedX();
        int getSpeedY();
        void SetCoor(int x,int y);
        void Mov();
        void SetColor(int fontcolor);
        void SetBackGroundColor(int backgroundcolor);
        void SetColor(int red, int green, int blue);
        void SetBackGroundColor(int red, int green, int blue);
};
